/******************************************************************************
*	File		-	asset.cpp
*	Author		-	Joey Pollack
*	Date		-	2021/10/25 (y/m/d)
*	Mod Date	-	2021/10/25 (y/m/d)
*	Description	-	The base class for all asset type files
******************************************************************************/

#include "asset.h"

namespace lunarium
{
    Asset::Asset(AssetType type)
        : mType(type), mUUID(0)
    {
        
    }

    Asset::Asset(LUUID uuid, AssetType type)
        : mType(type), mUUID(uuid)
    {
        
    }

    Asset::~Asset()
    {
        
    }

    AssetType Asset::GetType() const
    {
        return mType;
    }

    LUUID Asset::GetUUID() const
    {
        return mUUID;
    }

}